CREATE TABLE mkt_sem_connections (
    CONNECTIONID              NUMBER(18, 0) ,
    FUSIONUSER                VARCHAR2(4000),
    SEM_VENDOR                VARCHAR2(4000),
    MASTER_ACCOUNTID          VARCHAR2(4000),
    CLIENT_ACCOUNTID          VARCHAR2(4000),
    MASTER_ACCOUNT_EMAIL      VARCHAR2(4000),
    CLIENT_ACCOUNT_EMAIL      VARCHAR2(4000),
    APP_TOKEN                 VARCHAR2(4000),
    DEV_TOKEN                 VARCHAR2(4000),
    LICENSEKEY                VARCHAR2(4000),
    CONNECTIONSTATUS          VARCHAR2(4000),
    LASTCONNECTDATE           DATE          ,
    API_UNITS_BALANCE         NUMBER        ,
    API_UNITS_USED_LAST       NUMBER        ,
    API_LAST_RESPONSE_TIME    NUMBER        ,
    LASTSUCCESSDATE           TIMESTAMP(6)  ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CURRENCYCODE              VARCHAR2(4000),
    SANDBOX_FLAG              VARCHAR2(4)   ,
    ACCOUNT_QUERY_FLAG        VARCHAR2(4)   ,
    CONNECTIONID              NUMBER(18, 0) ,
    FUSIONUSER                VARCHAR2(4000),
    SEM_VENDOR                VARCHAR2(4000),
    MASTER_ACCOUNTID          VARCHAR2(4000),
    CLIENT_ACCOUNTID          VARCHAR2(4000),
    MASTER_ACCOUNT_EMAIL      VARCHAR2(4000),
    CLIENT_ACCOUNT_EMAIL      VARCHAR2(4000),
    APP_TOKEN                 VARCHAR2(4000),
    DEV_TOKEN                 VARCHAR2(4000),
    LICENSEKEY                VARCHAR2(4000),
    CONNECTIONSTATUS          VARCHAR2(4000),
    LASTCONNECTDATE           DATE          ,
    API_UNITS_BALANCE         NUMBER        ,
    API_UNITS_USED_LAST       NUMBER        ,
    API_LAST_RESPONSE_TIME    NUMBER        ,
    LASTSUCCESSDATE           TIMESTAMP(6)  ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CURRENCYCODE              VARCHAR2(4000),
    SANDBOX_FLAG              VARCHAR2(4)   ,
    ACCOUNT_QUERY_FLAG        VARCHAR2(4)   ,
    CONSTRAINT pk_mkt_sem_connections PRIMARY KEY (CONNECTIONID, CONNECTIONID)
);
